Can't install older versions of Citra on Mac

Hi, I’ve tried to find posts of people with a similar issue, but no luck so far.

Basically I want to install an older version of Citra because it was running much faster on my machine before an update happened recently. Wherever I look I am redirected to the following page: https://github.com/citra-emu/citra-nightly/releases

The problem is, when I download the osx zip file, all it contains is the same elements you would normally find in the nightly folder after it has been installed. This does not seem to work, because if I try to click citra-qt.app, it tells me it is unable to open the file. There does not appear to be any installer in the zipped contents.

Everybody else seems to say in other discussions that you just click the citra-qt and it will install an older version but it doesn’t seem to work for me. Do I need to completely uninstall Citra first and then try to open this citra-qt file? If i do this, will I lose my save data?

Appreciate any help anyone can provide - I am new to this, thanks!

System Information

  • Operating System: Mac OS Mojave 10.14.6
  • CPU: 2.5 GHz Intel Core i5
  • GPU: Intel HD Graphics 4000 1536 MB
  • Citra Version (found in title bar): Trying to revert back to Nightly 1536
  • Game: Zelda - Link Between Worlds
  • Screenshot of Issue (include the full Citra window including titlebar):

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.